Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.makeithappen.model.task
Interface Task

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TaskImpl

    public interface Task

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Task'.

The following features are supported:

- `Name`
- `Description`
- `Assignee`
- `Due Date`
- `Sub Tasks`
- `Done`

See Also:
  `TaskPackage.getTask()`

Method Summary
`User` | `getAssignee()` Returns the value of the 'Assignee' reference.
`String` | `getDescription()` Returns the value of the 'Description' attribute.
`Date` | `getDueDate()` Returns the value of the 'Due Date' attribute.
`String` | `getName()` Returns the value of the 'Name' attribute.
`org.eclipse.emf.common.util.EList<Task>` | `getSubTasks()` Returns the value of the 'Sub Tasks' containment reference list.
`boolean` | `hasName(org.eclipse.emf.common.util.DiagnosticChain chain, Map<?,?> context)`
`boolean` | `isDone()` Returns the value of the 'Done' attribute.
`void` | `setAssignee(User value)` Sets the value of the '`Assignee`' reference.
`void` | `setDescription(String value)` Sets the value of the '`Description`' attribute.
`void` | `setDone(boolean value)` Sets the value of the '`Done`' attribute.
`void` | `setDueDate(Date value)` Sets the value of the '`Due Date`' attribute.
`void` | `setName(String value)` Sets the value of the '`Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `TaskPackage.getTask_Name()`

### setName

    void setName(String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getDescription

    String getDescription()

  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `TaskPackage.getTask_Description()`

### setDescription

    void setDescription(String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`

### getAssignee

    User getAssignee()

  Returns the value of the 'Assignee' reference. It is bidirectional and its opposite is '`Tasks`'.

  If the meaning of the 'Assignee' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Assignee' reference.
  See Also:
    `setAssignee(User)`, `TaskPackage.getTask_Assignee()`, `User.getTasks()`

### setAssignee

    void setAssignee(User value)

  Sets the value of the '`Assignee`' reference.

  Parameters:
    `value` - the new value of the 'Assignee' reference.
  See Also:
    `getAssignee()`

### getDueDate

    Date getDueDate()

  Returns the value of the 'Due Date' attribute.

  If the meaning of the 'Due Date' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Due Date' attribute.
  See Also:
    `setDueDate(Date)`, `TaskPackage.getTask_DueDate()`

### setDueDate

    void setDueDate(Date value)

  Sets the value of the '`Due Date`' attribute.

  Parameters:
    `value` - the new value of the 'Due Date' attribute.
  See Also:
    `getDueDate()`

### getSubTasks

    org.eclipse.emf.common.util.EList<Task> getSubTasks()

  Returns the value of the 'Sub Tasks' containment reference list. The list contents are of type `Task`.

  If the meaning of the 'Sub Tasks' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sub Tasks' containment reference list.
  See Also:
    `TaskPackage.getTask_SubTasks()`

### isDone

    boolean isDone()

  Returns the value of the 'Done' attribute.

  If the meaning of the 'Done' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Done' attribute.
  See Also:
    `setDone(boolean)`, `TaskPackage.getTask_Done()`

### setDone

    void setDone(boolean value)

  Sets the value of the '`Done`' attribute.

  Parameters:
    `value` - the new value of the 'Done' attribute.
  See Also:
    `isDone()`

### hasName

    boolean hasName(org.eclipse.emf.common.util.DiagnosticChain chain,
                    Map<?,?> context)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.